CURSES_BACKGROUND(3)

NAME
curses_background, bkgd, bkgdset, getbkgd, wbkgd, wbkgdset - curses attribute manipulation routines

LIBRARY
libcurses

SYNOPSIS
#include <curses.h>
int
bkgd(chtype);
void
bkgdset(chtype);
chtype
getbkgd(WINDOW *);
int
wbkgd(WINDOW *, chtype);
void
wbkgdset(WINDOW *, chtype);

DESCRIPTION
These functions manipulate the background attributes on stdscr or on the specified window.

The function wbkgdset(win, ch) sets the background attributes of the specified window win to ch.

When the background attributes are set on a window, characters are added to the window with the logical OR of the background attributes and the character's attributes. If both the background attribute and the character attribute contain color, the color of the character attribute is rendered. If the background attribute contains a non-space character, then this character is added where the foreground character is a space character.

Note that subwindows created from win inherit the background attributes of win.

The function wbkgd(win, ch) sets the background attributes of the specified window win to ch and also sets the rendition of every character position on that window, as if the characters had been newly added to win. The rendition of characters on subwindows of win is also set to ch.

The functions bkgdset(ch) and bkgd(ch) are equivalent to wbkgdset(stdscr, ch) and wbkgd(stdscr, ch), respectively.

The function getbkgd(win) returns the background attributes for the window win.

RETURN VALUES
The functions wbkgdset() and wbkgd() return OK on success and ERR on failure.

SEE ALSO
curses_attributes(3), curses_color(3), curses_window(3)

STANDARDS
The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

HISTORY
These functions first appeared in NetBSD 1.6.